<?php
	$this->load->library('printer');
	$this->load->library('enletras');
	
	$phpPrinter = new Printer();
	$phpInletters = new EnLetras();
	
	$phpPrinter->resetAcum();
	$acum = 0;
	
	/*Init*/
	$printer = printer_open("EPSON TM-U950 Slip CCF");

	printer_set_option($printer, PRINTER_MODE, 'RAW');

	printer_start_doc($printer, 'Nota de Remision Numero: '.$doc_numero);

	printer_start_page($printer);
	
	/*Body*/
	
	$font = printer_create_font('Arial', 9, 7, PRINTER_FW_THIN, false, false, false, 0);	
	printer_select_font($printer, $font);
	
	/*Ghost*/
	$phpPrinter->printString(strtoupper(utf8_decode(substr(" ",0,24))),2,$printer,$acum,13,11,70);
	$phpPrinter->tabPrinter($acum,70);
	
	$fecha = explode("-",$fecha);
	$fechadia = explode(" ",$fecha[2]);
	$phpPrinter->printString($fechadia[0],2,$printer,$acum,13,11,550);
	$phpPrinter->printString($fecha[1],2,$printer,$acum,13,0,635);
	$phpPrinter->printString($fecha[0],2,$printer,$acum,13,0,710);
	$phpPrinter->tabPrinter($acum,10);
	$phpPrinter->printString(strtoupper(utf8_decode(substr($cliente,0,40))),2,$printer,$acum,13,11,160);
	$phpPrinter->tabPrinter($acum,5);
	$phpPrinter->printString(strtoupper(utf8_decode(substr($direccion_cliente,0,20))),2,$printer,$acum,13,11,160);
	$phpPrinter->tabPrinter($acum,5);
	$phpPrinter->printString(strtoupper(utf8_decode(substr($nrc_cliente,0,24))),2,$printer,$acum,13,11,560);
	$phpPrinter->tabPrinter($acum,55);
	
	/*Body*/
	foreach($productos_normal as $producto){
		$phpPrinter->printString($producto->cant,2,$printer,$acum,9,7,105);
		$phpPrinter->printString($phpPrinter->cutString(strtoupper(utf8_decode(addslashes($producto->desc))),24),2,$printer,$acum,9,0,170);
		$phpPrinter->printString($producto->costo,2,$printer,$acum,9,0,500);
		$phpPrinter->printString($producto->cant * $producto->costo,2,$printer,$acum,9,0,675);
		$phpPrinter->tabPrinter($acum,5);
	}
	
	/*Footer*/
	printer_draw_text($printer,$phpInletters->ValorEnLetras($totales['totalTotal'],""), 160, 410);
	printer_draw_text($printer,"Ref:".$referencia." - Casa Matriz", 160, 430);
	printer_draw_text($printer,$totales['totalGrabadas'], 675, 410);
	//printer_draw_text($printer,$totales['totalIVA'], 675, 430);
	printer_draw_text($printer,$totales['totalGrabadas'], 675, 450);
	printer_draw_text($printer,$totales['totalExento'], 675, 470);
	printer_draw_text($printer,$totales['totalNS'], 675, 490);
	printer_draw_text($printer,$totales['totalTotal'], 675, 510);
	
	printer_delete_font($font);
	
	printer_end_page($printer);

	printer_end_doc($printer);

	printer_close($printer);
?>